Subject: Re: consistency problem on ZFS

From: Thomas Rast <[email-masked]>
Date: Sun, 28 Apr 2013 21:33:21 +0200

Yann Hodique <[email-masked]> writes:

> I have a weird problem that seems to manifest itself only on ZFS
> (actually the Zevo distribution, on OSX). With git 1.8.2.1 by the way.
> I just switched to ZFS, so I can't blame that particular version of git.
>
> "Sometimes" (I'd say something like 10-15% of the time, fairly
> reproducible anyway), "git diff-files" will see changes that don't exist
> for some time, then will catch up with the actual state of the file:
>
> $ git checkout next; git diff-files; git checkout next; git diff-files
> Already on 'next'
> :100644 100644 bd774cccaa14e061c3c26996567ee28f4f77ec80 0000000000000000000000000000000000000000 M	magit.el
> Already on 'next'
> $

git-diff-files doesn't refresh the index.  Why are you using it?  It's
the plumbing version of 'git diff' (without args), which does the same
but *does* refresh the index.

-- 
Thomas Rast
trast@{inf,student}.ethz.ch